
/********************************************************************
* NAME:                                                             *
*                                                                   *
* PURPOSE:                                                          *
*                                                                   *
* GLOBAL VARIABLES:                                                 *
*                                                                   *
* Variable:                                                         *
*                                                                   *
* Type:                                                             *
*                                                                   *
* Description:                                                      *
*                                                                   *
*                                                                   *
* DEVELOPMENT HISTORY:                                              *
*                                                                   *
* Date:                                                             *
*                                                                   *
* Author:                                                           *
*                                                                   *
* Change Id:                                                        *
*                                                                   *
* Release:                                                          *
*                                                                   *
* Description of change:                                            *
*                                                                   *
*********************************************************************/


#ifndef __fle5_pub_h
#define __fle5_pub_h

typedef BOOL(*pFLE5WaitForEdge) (UINT16 U16baseport, BOOL Bishigh,
				 UINT32 U32retrycount);

BOOL FLE5_InitialiseBootstrapDCT3(UINT16 U16baseport, UINT8 * pAU8buffer,
				  UINT16 U16size, UINT32 U32retrycount);
BOOL FLE5_InitialiseBootstrapDCT4(UINT16 U16baseport, UINT8 * pAU8buffer,
				  UINT16 U16size,
				  UINT32 * pU32mcuresponse);
BOOL FLE5_SendToPhone(UINT16 U16baseport, UINT8 * pAU8buffer,
		      UINT32 U32size, UINT32 U32cmd,
		      tFLS1_DELAYBLOCK * pdelayblock);
BOOL FLE5_ReceiveFromPhone(UINT16 U16baseport, UINT8 * pAU8buffer,
			   UINT32 U32size, UINT32 U32cmd,
			   tFLS1_DELAYBLOCK * pdelayblock);
BOOL FLE5_WaitForEdge(UINT16 U16baseport, BOOL Bishigh,
		      UINT32 U32retrycount);
UINT8 FLE5_GetSDA(UINT16 U16baseport);
void FLE5_SetIdleState(UINT16 U16baseport, UINT32 U32mode);
void FLE5_SetDefaultTimes(tFLS1_DELAYBLOCK * pdelayblock);
void FLE5_GetDefaultTimes(tFLS1_DELAYBLOCK * pdelayblock);

#endif
