
/********************************************************************
* NAME:                                                             *
*                                                                   *
* PURPOSE:                                                          *
*                                                                   *
* GLOBAL VARIABLES:                                                 *
*                                                                   *
* Variable:                                                         *
*                                                                   *
* Type:                                                             *
*                                                                   *
* Description:                                                      *
*                                                                   *
*                                                                   *
* DEVELOPMENT HISTORY:                                              *
*                                                                   *
* Date:                                                             *
*                                                                   *
* Author:                                                           *
*                                                                   *
* Change Id:                                                        *
*                                                                   *
* Release:                                                          *
*                                                                   *
* Description of change:                                            *
*                                                                   *
*********************************************************************/

#ifndef __misc_pub_h
#define __misc_pub_h

//typedef void (*pDelayFunc)(UINT32);
#define misc_delay misc_usleep

void misc_outport(UINT16, SINT16, UINT8);
UINT8 misc_inport(UINT16, SINT16);
UINT8 misc_calculatelimit(UINT32 U32limit, UINT32 U32and);
UINT16 misc_swapword(UINT16);
UINT32 misc_swapdword(UINT32);
void misc_handlelogstring(BOOL Biserror, BOOL Bshowaserror);

UINT32 misc_gettickcount(void);
void misc_sleep(UINT32 U32count);
void misc_usleep(UINT32 U32count) /* shall be in microsec */ ;

UINT16 misc_calculate16bitchecksum(BOOL Bswap, BOOL Bnegate,
				   UINT8 * pAU8buffer, size_t length);
UINT8 misc_calculate8bitchecksum(UINT8 * pAU8buffer, size_t length);
BOOL misc_check8bitchecksum(UINT8 * pAU8buffer, size_t length);
UINT8 misc_calculate8bitchecksumas16bit(UINT8 * pAU8buffer, size_t length);


//void misc_calibrate_delay(void);
UINT32 misc_getfilesize(FILE * rfile);
SINT32 misc_getMCUversion(UINT8 * MCUversion);
UINT8 misc_hexchartobyte(char hex);
UINT32 misc_hextodword(char *hex);
char misc_chartohexchar(UINT8 U8char);
void misc_dwordtohex(UINT32 U32dword, char *hex);
BOOL misc_startredirectionoferror(char *filename);
void misc_finishredirectionoferror(void);
UINT32 misc_calculate32bitchecksum(BOOL Bswap, BOOL Bnegate,
				   UINT8 * U8buffer, UINT32 U32length);
SINT32 misc_memstr(UINT8 * pU8src, UINT32 U32srclen, UINT8 * pU8dst,
		   UINT32 U32dstlen);

BOOL misc_readheader(FILE * rfile, eFILE_TYPE * file_type,
		     UINT32 * U32startaddr);
BOOL misc_writeheader(FILE * rfile, eFILE_TYPE file_type,
		      UINT32 U32startaddr);
void misc_setredirection(eREDIRECTION_TYPE redirecttype);
UINT16 misc_getLPTport(UINT16 U16portid);
void misc_setlogcallout(pLogCallout desiredlogcallout);
//void misc_setdelayfunc(pDelayFunc delayfunc);

//void misc_rdtscdelay(UINT32 x);
//void misc_setbasedelay(UINT32 U32delay);
void misc_checkfilename(char *filename);

void realtimePriority();
void normalPriority();

#endif
